Package fr.gouv.vitam.functional.administration.rest

# Class SecurityProfileResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.SecurityProfileResource

@Path("/adminmanagement/v1") @ApplicationPath("webresources") public class SecurityProfileResource extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SECURITY_PROFILE_URI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecurityProfileResource(SecurityProfileService securityProfileService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `findSecurityProfileByIdentifier(String identifier)`
  Find security profile by identifier
  `jakarta.ws.rs.core.Response`
  `findSecurityProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find security profiles by queryDsl
  `jakarta.ws.rs.core.Response`
  `importSecurityProfiles(List<SecurityProfileModel> securityProfileModelList, jakarta.ws.rs.core.UriInfo uri)`
  Import a set of ingest contracts after passing the validation steps.
  `jakarta.ws.rs.core.Response`
  `updateSecurityProfile(String identifier, com.fasterxml.jackson.databind.JsonNode queryDsl)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SECURITY_PROFILE_URI

    public static final String SECURITY_PROFILE_URI
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SecurityProfileResource

    public SecurityProfileResource(SecurityProfileService securityProfileService)
    Parameters:
      `securityProfileService` -

- ## Method Details

  - ### importSecurityProfiles

    @Path("/securityprofiles") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response importSecurityProfiles(List<SecurityProfileModel> securityProfileModelList, @Context jakarta.ws.rs.core.UriInfo uri)
    Import a set of ingest contracts after passing the validation steps. If all the contracts are valid, they are stored in the collection and indexed. The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many contracts having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many contracts elready exist in the database
    Parameters:
      `securityProfileModelList` - as InputStream
      `uri` - the uri info
    Returns:
      Response jersey response

  - ### findSecurityProfiles

    @GET @Path("/securityprofiles") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findSecurityProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl)
    Find security profiles by queryDsl
    Parameters:
      `queryDsl` -
    Returns:
      Response

  - ### findSecurityProfileByIdentifier

    @GET @Path("/securityprofiles/{id}") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findSecurityProfileByIdentifier(@PathParam("id") String identifier)
    Find security profile by identifier
    Parameters:
      `identifier` - the identifier of the security profile
    Returns:
      Response

  - ### updateSecurityProfile

    @Path("/securityprofiles/{id}") @PUT @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response updateSecurityProfile(@PathParam("id") String identifier, com.fasterxml.jackson.databind.JsonNode queryDsl)